cURL
复制一个已有 Agent,生成新的 Agent(名称自动加
copy_ 前缀),状态为 draft、版本为 beta。
复制 Agent 需要知识库-创建权限。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
复制已有 Agent,生成新的草稿
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/copy" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70"
}'{
"request_id": "a7b8c9d0-e1f2-3456-abcd-567890123456",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-9a0b1c2d3e4f5678",
"agent_name": "copy_客服知识问答助手 v2",
"agent_version": "beta",
"agent_status": "draft"
}
}copy_ 前缀),状态为 draft、版本为 beta。
DashScope API Key,在控制台 API Key 页面 获取。
源 Agent ID。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/copy" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70"
}'{
"request_id": "a7b8c9d0-e1f2-3456-abcd-567890123456",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-9a0b1c2d3e4f5678",
"agent_name": "copy_客服知识问答助手 v2",
"agent_version": "beta",
"agent_status": "draft"
}
}